import { PropType } from 'vue';
export interface LinkFieldValue {
    [attributeName: string]: any;
    anchor?: string;
    href?: string;
    className?: string;
    title?: string;
    target?: string;
    querystring?: string;
}
export interface LinkField {
    value: LinkFieldValue;
    editableFirstPart?: string;
    editableLastPart?: string;
}
export declare const Link: import("@vue/runtime-core").DefineComponent<{
    /** The link field data. */
    field: {
        type: PropType<LinkFieldValue | LinkField>;
        default(): LinkFieldValue | LinkField;
        required: true;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value,
     * then `field.editable` will be processed and rendered as
     * component output. If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Displays a link text ('description' in Sitecore) even when children exist
     * NOTE: when in Sitecore Experience Editor, this setting is ignored due to technical limitations, and the description is always rendered.
     */
    showLinkTextWithChildrenPresent: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").VNodeProps & import("@vue/runtime-core").AllowedComponentProps & import("@vue/runtime-core").ComponentCustomProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    /** The link field data. */
    field: {
        type: PropType<LinkFieldValue | LinkField>;
        default(): LinkFieldValue | LinkField;
        required: true;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value,
     * then `field.editable` will be processed and rendered as
     * component output. If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Displays a link text ('description' in Sitecore) even when children exist
     * NOTE: when in Sitecore Experience Editor, this setting is ignored due to technical limitations, and the description is always rendered.
     */
    showLinkTextWithChildrenPresent: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    editable: boolean;
    field: LinkFieldValue | LinkField;
    showLinkTextWithChildrenPresent: boolean;
}, {}>;
